### Function

# FwupdPlugin Device internal_flag_from_string

since: 1.5.5

#### Declaration [src]

    FuDeviceInternalFlags
    fu_device_internal_flag_from_string (
      const gchar* flag
    )

#### Description [src]

Converts a string to an internal device flag.

Available since: 1.5.5

#### Parameters

`flag`

  Type: `const gchar*`

  A string, e.g. `md-set-icon`

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuDeviceInternalFlags`

Enumerated value.